import React, {Component} from 'react';
import {Card as RTCard, CardTitle, CardText} from 'react-toolbox/lib/card';

class Card extends Component {
	constructor(props) {
		super(props);
	}

	render() {
		return (
			<RTCard style={{
				width: this.props.width || '350px',
				backgroundColor: this.props.backgroundColor || '#0e2332'
			}}>
				<CardTitle title={this.props.title} subtitle={this.props.subtitle}/>
				<CardText>{this.props.text}</CardText>
			</RTCard>
		)
	}
}

Card.propTypes = {
	title: React.PropTypes.string.isRequired,
	subtitle: React.PropTypes.string,
	width: React.PropTypes.string,
	text: React.PropTypes.string.isRequired,
	backgroundColor: React.PropTypes.string
}

export default Card;
